package com.jxdinfo.hussar.core.bouncycastle.asn1.nist;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ObjectIdentifier;
import com.jxdinfo.hussar.core.cache.CacheEntry;
import com.jxdinfo.hussar.core.util.Checker;

public interface NISTObjectIdentifiers {
  public static final ASN1ObjectIdentifier dsa_with_sha384;
  
  public static final ASN1ObjectIdentifier id_sha512;
  
  public static final ASN1ObjectIdentifier aes;
  
  public static final ASN1ObjectIdentifier id_sha224;
  
  public static final ASN1ObjectIdentifier id_aes192_CFB;
  
  public static final ASN1ObjectIdentifier id_aes256_CBC;
  
  public static final ASN1ObjectIdentifier id_sha256;
  
  public static final ASN1ObjectIdentifier id_aes128_GCM;
  
  public static final ASN1ObjectIdentifier dsa_with_sha512;
  
  public static final ASN1ObjectIdentifier id_aes192_GCM;
  
  public static final ASN1ObjectIdentifier id_aes256_GCM;
  
  public static final ASN1ObjectIdentifier dsa_with_sha224;
  
  public static final ASN1ObjectIdentifier dsa_with_sha256;
  
  public static final ASN1ObjectIdentifier id_aes192_wrap;
  
  public static final ASN1ObjectIdentifier id_aes128_CBC;
  
  public static final ASN1ObjectIdentifier id_aes192_ECB;
  
  public static final ASN1ObjectIdentifier id_aes128_OFB;
  
  public static final ASN1ObjectIdentifier id_aes128_ECB;
  
  public static final ASN1ObjectIdentifier id_aes256_wrap;
  
  public static final ASN1ObjectIdentifier nistAlgorithm = new ASN1ObjectIdentifier(Checker.static("\004\023\f\000\t\024\016\001\033\017\024\000\006\f\017\031\016\037"));
  
  public static final ASN1ObjectIdentifier id_dsa_with_sha2;
  
  public static final ASN1ObjectIdentifier id_sha384;
  
  public static final ASN1ObjectIdentifier id_aes256_CFB;
  
  public static final ASN1ObjectIdentifier id_aes256_OFB;
  
  public static final ASN1ObjectIdentifier id_aes256_CCM;
  
  public static final ASN1ObjectIdentifier id_aes192_CBC;
  
  public static final ASN1ObjectIdentifier id_aes192_OFB;
  
  public static final ASN1ObjectIdentifier id_aes256_ECB;
  
  public static final ASN1ObjectIdentifier id_aes128_CCM;
  
  public static final ASN1ObjectIdentifier id_aes192_CCM;
  
  public static final ASN1ObjectIdentifier id_aes128_wrap;
  
  public static final ASN1ObjectIdentifier id_aes128_CFB;
  
  static {
    id_sha256 = nistAlgorithm.branch(CacheEntry.abstract("Ob\006"));
    id_sha384 = nistAlgorithm.branch(Checker.static("\030\016\031"));
    id_sha512 = nistAlgorithm.branch(CacheEntry.abstract("Ob\004"));
    id_sha224 = nistAlgorithm.branch(Checker.static("\030\016\037"));
    aes = nistAlgorithm.branch(CacheEntry.abstract("\006"));
    id_aes128_ECB = aes.branch(Checker.static("\032"));
    id_aes128_CBC = aes.branch(CacheEntry.abstract("\005"));
    id_aes128_OFB = aes.branch(Checker.static("\030"));
    id_aes128_CFB = aes.branch(CacheEntry.abstract("\003"));
    id_aes128_wrap = aes.branch(Checker.static("\036"));
    id_aes128_GCM = aes.branch(CacheEntry.abstract("\001"));
    id_aes128_CCM = aes.branch(Checker.static("\034"));
    id_aes192_ECB = aes.branch(CacheEntry.abstract("~\006"));
    id_aes192_CBC = aes.branch(Checker.static("\022\031"));
    id_aes192_OFB = aes.branch(CacheEntry.abstract("~\004"));
    id_aes192_CFB = aes.branch(Checker.static("\022\037"));
    id_aes192_wrap = aes.branch(CacheEntry.abstract("~\002"));
    id_aes192_GCM = aes.branch(Checker.static("\022\035"));
    id_aes192_CCM = aes.branch(CacheEntry.abstract("~\000"));
    id_aes256_ECB = aes.branch(Checker.static("\024\032"));
    id_aes256_CBC = aes.branch(CacheEntry.abstract("x\005"));
    id_aes256_OFB = aes.branch(Checker.static("\024\030"));
    id_aes256_CFB = aes.branch(CacheEntry.abstract("x\003"));
    id_aes256_wrap = aes.branch(Checker.static("\024\036"));
    id_aes256_GCM = aes.branch(CacheEntry.abstract("x\001"));
    id_aes256_CCM = aes.branch(Checker.static("\024\034"));
    id_dsa_with_sha2 = nistAlgorithm.branch(CacheEntry.abstract("\004"));
    dsa_with_sha224 = id_dsa_with_sha2.branch(Checker.static("\032"));
    dsa_with_sha256 = id_dsa_with_sha2.branch(CacheEntry.abstract("\005"));
    dsa_with_sha384 = id_dsa_with_sha2.branch(Checker.static("\030"));
    dsa_with_sha512 = id_dsa_with_sha2.branch(CacheEntry.abstract("\003"));
  }
}
